<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="kirkstone"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-4.0.16"
           upstream="kirkstone"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-4.0.16"
           upstream="kirkstone"
           path="sources/meta-mingw"/>

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="8609de00952d65bb813a48c535c937324efeb18a"
           upstream="kirkstone"
           path="sources/meta-openembedded"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="71ef3de21918be4882833789ae970ab4b408b300"
           upstream="kirkstone"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- NXP -->
  <remote name="freescale"
          fetch="https://github.com/Freescale"/>
  <project name="meta-freescale"
           remote="freescale"
           revision="710e55d529c86d15a93c4421365ef62eb601a49b"
           upstream="kirkstone"
           path="sources/meta-freescale"/>
  <project name="meta-freescale-3rdparty"
           remote="freescale"
           revision="9e94b64bdfebcf7bfdf2af6447cec866a4efa814"
           upstream="kirkstone"
           path="sources/meta-freescale-3rdparty"/>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-toradex"
           remote="qt"
           revision="fce2f402763f7c8c7e1662f6e43a84029c718f69"
           upstream="dev"
           path="sources/meta-boot2qt-toradex">
    <linkfile dest="sources/templates" src="conf"/>
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="refs/tags/v6.5.5-lts"
           upstream="lts-6.5.5"
           path="sources/meta-qt6"/>

  <!-- Toradex -->
  <remote name="toradex"
          fetch="git://git.toradex.com"/>
  <project name="meta-toradex-bsp-common"
           remote="toradex"
           revision="f35b8eba99f79f9c74725e9860f644d40dc9f9bc"
           upstream="kirkstone-6.x.y"
           path="sources/meta-toradex-bsp-common"/>
  <project name="meta-toradex-nxp"
           remote="toradex"
           revision="7311344a7126599cbba8e7189c278a2e0ba741d5"
           upstream="kirkstone-6.x.y"
           path="sources/meta-toradex-nxp"/>

</manifest>
